Bug 885169 - [REST API] - Links on ${HOST}:7080/rest don't contain "/rest/" in URL which leads to error page
[REST API] - Links on ${HOST}:7080/rest don't contain "/rest/" in URL which ...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: REST (Show other bugs)
unspecified
i386 Linux
unspecified Severity low (vote)
: ---
: RHQ 4.6
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-07 11:29 EST by Armine Hovsepyan
Modified: 2015-09-02 20:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 12:42:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rest_url (166.63 KB, image/png)
2012-12-07 11:29 EST, Armine Hovsepyan
no flags Details

  None (edit)
Description Armine Hovsepyan 2012-12-07 11:29:47 EST
Created attachment 659496 [details]
rest_url

Description of problem:
Links on ${HOST}:7080/rest  don't contain "/rest/" in URL which leads to error page

Version-Release number of selected component (if applicable):
RHQ 4.6.0

How reproducible:
always

Steps to Reproduce:
1. Open ${HOST}:7080/rest
2. click on e.g. Platforms link 
3.
  
Actual results:
http://${HOST}:7080/resource/platforms.html is open

Expected results:
http://${HOST}:7080/rest/resource/platforms.html should be open

Additional info:
attached is the screenshot of the page  - you may see that during the mouse over on platforms link at the bottom of the page the url doesn't contain "/rest" while it should have.
Comment 1 Heiko W. Rupp 2012-12-07 12:24:04 EST
master dddf7884e2

Note You need to log in before you can comment on or make changes to this bug.